Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUTableDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.adf.model.binding.DCControlBindingDef
oracle.jbo.uicli.binding.JUControlDef
oracle.jbo.uicli.binding.JUCtrlValueDef
oracle.jbo.uicli.binding.JUCtrlRangeDef
oracle.jbo.uicli.jui.JUTableDef`

All Implemented Interfaces:
  oracle.jbo.rules.ValidationManager

public class JUTableDef
extends JUCtrlRangeDef

Nested Class Summary
`static class` | `JUTableDef.JUEditorPropDef`
`static class` | `JUTableDef.JUTableAttrPropDef`

Field Summary
`static java.lang.String` | `DEFAULT`
`static java.lang.String` | `PNAME_ColumnSort`
`static java.lang.String` | `PNAME_ColumnSort_currentRange`
`static java.lang.String` | `PNAME_ColumnSort_entireCollection`
`static java.lang.String` | `PNAME_ScrollMode`
`static java.lang.String` | `PNAME_ScrollMode_ACTIVE_STR`
`static java.lang.String` | `PNAME_ScrollMode_PASSIVE_STR`
`static java.lang.String` | `PNAME_ScrollPaneClass`

Fields inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`DEFAULT_HANDLER, PNAME_ApplyValidation, PNAME_AttrNames, PNAME_InputHandler, PNAME_ListNullValueId`

Fields inherited from class oracle.adf.model.binding.DCControlBindingDef
`PNAME_ControlBindingClass, PNAME_ControlClass, PNAME_CustomInputHandler, PNAME_InitialValue, PNAME_IterBinding, PNAME_TYPE`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUTableDef()`
`JUTableDef(java.lang.String name, java.lang.String iterBindingName, java.lang.String[] attrNames, java.lang.String scrollPaneClassName)`
`JUTableDef(java.lang.String name, java.lang.String controlClassName, java.lang.String controlBindingClassName, java.lang.String iterBindingName, java.lang.String[] attrNames, java.lang.String scrollPaneClassName)`

Method Summary
`protected DCControlBinding` | `createControlBindingInstance(java.lang.Object control, DCBindingContainer formBnd)`
`java.util.ArrayList` | `getAttrPropList()`
`int` | `getScrollMode()`
`java.lang.String` | `getScrollPaneClassName()`
`void` | `init(java.util.HashMap initValues)`
`protected void` | `initSubType()`
`void` | `loadAttrPropList(oracle.jbo.mom.xml.DefElement xmlElement)`
`void` | `loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setAttrPropList(java.util.ArrayList list)`
`void` | `setScrollMode(int mode)`

Methods inherited from class oracle.jbo.uicli.binding.JUCtrlValueDef
`addValidator, createControlBinding, getAttrNames, getCustomInputHandler, getFirstAttrName, getIterBinding, getMessageBundleClass, getNullValueId, getNullValueObject, getValidators, hasCustomInputHandler, isApplyValidation, loadCustomDef, loadFromXML, setApplyValidation, setCustomInputHandler, setNullValueObject`

Methods inherited from class oracle.adf.model.binding.DCControlBindingDef
`createControl, createControlBinding, getBindingContainerDef, getControlBindingClassName, getControlClassName, getDesignTimeClass, getInitialValue, getIterBinding, getIterBindingName, getLayoutCons, getXMLElementTag, setBindingContainerDef, setControlBindingClassName, setControlClassName, setInitialValue`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, isDirty, isNew, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.jbo.rules.ValidationManager
`getName`

Field Detail

### PNAME_ScrollPaneClass

    public static final java.lang.String PNAME_ScrollPaneClass

  See Also:
    Constant Field Values

### PNAME_ColumnSort

    public static final java.lang.String PNAME_ColumnSort

  See Also:
    Constant Field Values

### PNAME_ColumnSort_currentRange

    public static final java.lang.String PNAME_ColumnSort_currentRange

  See Also:
    Constant Field Values

### PNAME_ColumnSort_entireCollection

    public static final java.lang.String PNAME_ColumnSort_entireCollection

  See Also:
    Constant Field Values

### PNAME_ScrollMode

    public static final java.lang.String PNAME_ScrollMode

  See Also:
    Constant Field Values

### PNAME_ScrollMode_ACTIVE_STR

    public static final java.lang.String PNAME_ScrollMode_ACTIVE_STR

  See Also:
    Constant Field Values

### PNAME_ScrollMode_PASSIVE_STR

    public static final java.lang.String PNAME_ScrollMode_PASSIVE_STR

  See Also:
    Constant Field Values

### DEFAULT

    public static final java.lang.String DEFAULT

  See Also:
    Constant Field Values

Constructor Detail

### JUTableDef

    public JUTableDef()

### JUTableDef

    public JUTableDef(java.lang.String name,
                      java.lang.String controlClassName,
                      java.lang.String controlBindingClassName,
                      java.lang.String iterBindingName,
                      java.lang.String[] attrNames,
                      java.lang.String scrollPaneClassName)

### JUTableDef

    public JUTableDef(java.lang.String name,
                      java.lang.String iterBindingName,
                      java.lang.String[] attrNames,
                      java.lang.String scrollPaneClassName)

Method Detail

### initSubType

    protected void initSubType()

  Overrides:
    `initSubType` in class `JUCtrlRangeDef`

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `JUCtrlValueDef`

### getScrollPaneClassName

    public java.lang.String getScrollPaneClassName()

### getAttrPropList

    public java.util.ArrayList getAttrPropList()

### setAttrPropList

    public void setAttrPropList(java.util.ArrayList list)

### setScrollMode

    public void setScrollMode(int mode)

### getScrollMode

    public int getScrollMode()

### createControlBindingInstance

    protected DCControlBinding createControlBindingInstance(java.lang.Object control,
                                                            DCBindingContainer formBnd)

  Overrides:
    `createControlBindingInstance` in class `JUCtrlRangeDef`

### loadChildrenFromXML

    public void loadChildrenFromXML(oracle.jbo.mom.xml.DefElement xmlElement)

  Overrides:
    `loadChildrenFromXML` in class `JUCtrlValueDef`

### loadAttrPropList

    public void loadAttrPropList(oracle.jbo.mom.xml.DefElement xmlElement)

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCControlBindingDef`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.